{% extends 'base.html.twig' %}

{% block title %}Platform index{% endblock %}

{% block body %}

    {#<table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name_plat</th>
                <th>Description_plat</th>
                <th>Logo_plat</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for platform in platforms %}
            <tr>
                <td>{{ platform.id }}</td>
                <td>{{ platform.namePlat }}</td>
                <td>{{ platform.descriptionPlat }}</td>
                <td><img class="logoPlatform" src="../uploads/image/{{ platform.logoPlat }}" alt=""></td>
                <td>
                    <a href="{{ path('platform_show', {'id': platform.id}) }}">show</a>
                    <a href="{{ path('platform_edit', {'id': platform.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>#}

    <div class="mdl-cell mdl-cell--12-col-desktop mdl-cell--12-col-tablet mdl-cell--4-col-phone scroll-tab">
        <div class="mdl-card mdl-shadow--2dp">
            <div class="mdl-card__title">
                <h1 class="mdl-card__title-text">Platform</h1>
            </div>
            <div class="mdl-card__supporting-text no-padding">
                <table class="mdl-data-table mdl-js-data-table">
                    <thead>
                    <tr>
                        <th class="mdl-data-table__cell--non-numeric">Id</th>
                        <th class="mdl-data-table__cell--non-numeric">Name_plat</th>
                        <th class="mdl-data-table__cell--non-numeric">Description_plat</th>
                        <th class="mdl-data-table__cell--non-numeric">Logo_plat</th>
                        <th class="mdl-data-table__cell--non-numeric">actions</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for platform in platforms %}
                        <tr>
                            <td class="mdl-data-table__cell--non-numeric">{{ platform.id }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ platform.namePlat }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ platform.descriptionPlat }}</td>
                            <td class="mdl-data-table__cell--non-numeric"><img class="logoPlatform" src="../uploads/image/{{ platform.logoPlat }}" alt=""></td>
                            <td class="mdl-data-table__cell--non-numeric">
                                <a href="{{ path('platform_show', {'id': platform.id}) }}">show</a>
                                <a href="{{ path('platform_edit', {'id': platform.id}) }}">edit</a>
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="7">no records found</td>
                        </tr>
                    {% endfor %}
                    <tr>
                        <td colspan="0"> <a href="{{ path('platform_new') }}">Create new</a></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}
